package logrus.agents.base.behaviours;

import jade.core.Agent;
import jade.core.behaviours.CyclicBehaviour;
import logrus.agents.OntoStorageAgent;

/**
 */
public abstract class OSCyclicBehaviour extends CyclicBehaviour implements IOSBehaviour
{
	// OntoStorage agent remembered, just to avoid non-stop casting
	protected OntoStorageAgent osAgent;
	
	/**
	 * @param a
	 */
	public OSCyclicBehaviour (Agent a)
	{
		super(a);
		this.osAgent = (OntoStorageAgent) a;
	}

	public OntoStorageAgent getOSAgent ()
	{
		return this.osAgent;
	}
}
