package logrus.agents.datasources;

import jade.content.onto.OntologyException;
import logrus.agents.OntoStorageAgent;
import logrus.tools.logging.InitializeLoggerFailedException;

/**
 */
public class DataProviderAgent extends OntoStorageAgent
{
	// base url of data source
	protected String baseURL; 
	
	/**
	 * @throws InitializeLoggerFailedException
	 * @throws OntologyException
	 */
	public DataProviderAgent (String baseURL) throws InitializeLoggerFailedException,
			OntologyException
	{
		super();
		this.baseURL = baseURL;
	}
	
	/* (non-Javadoc)
	 * @see jade.core.Agent.Agent#setup()
	 */
	protected void setup()
	{
		//
	}	

	/**
	 * @param baseURL The baseURL to set.
	 */
	public void setBaseURL (String baseURL)
	{
		this.baseURL = baseURL;
	}

	/**
	 * @return Returns the baseURL.
	 */
	public String getBaseURL ()
	{
		return this.baseURL;
	}
}
