package logrus.agents.datasources;

public class WebpageParserFactory
{
	private static WebpageParserFactory instance;

	private WebpageParserFactory ()
	{
		super();
	}

	private static WebpageParserFactory getInstance ()
	{
		if (WebpageParserFactory.instance == null)
		{
			WebpageParserFactory.instance = new WebpageParserFactory();
		}
		return WebpageParserFactory.instance;
	}
	
	public IPropertiesExtractor createWebpageParser (String dataSourceID)
	{
		if (dataSourceID.compareTo(DataProviderID.CHEFMOZ)==0)
		{
			return null;
		}
		else if (dataSourceID.compareTo(DataProviderID.RESTCOM)==0)
		{
			return null;
		}		
		else
		{
			return null;
		}
	}
}
