package logrus.agents.datasources.chefmoz;


import jade.content.onto.OntologyException;
import logrus.agents.datasources.DataProviderAgent;
import logrus.tools.logging.InitializeLoggerFailedException;

/**
 */
public class ChefMozDSAgent extends DataProviderAgent
{
	/**
	 * @throws InitializeLoggerFailedException
	 * @throws OntologyException
	 */
	public ChefMozDSAgent () throws InitializeLoggerFailedException,
			OntologyException
	{
		super("http://chefmoz.org/Poland/MA/Warsaw/");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jade.core.Agent.Agent#setup()
	 */
	protected void setup ()
	{
		this.addBehaviour(new ChefMozGetRestaurantPropertiesBehaviour(this,
				"Absynt"));
	}
}
