package logrus.agents.datasources.chefmoz.paragraphProcessors;

import logrus.ontmodel.Prefixes;
import logrus.ontmodel.QuadsList;

public class FeaturesParagraphProcessor extends ParagraphProcessor
{

	public FeaturesParagraphProcessor ()
	{
		super();
		this.base = Prefixes.BaseRestaurantURI;
	}

	public void process (String content, QuadsList results,
			String uriRestaurant)
	{
		this.standardProcess(content,results,uriRestaurant,Prefixes.RES_FEAT,
				null,new String[] { "'", "-", "/" });
	}

	protected String additionalProcessing (String content)
	{
		return content;
	}
}
