package logrus.ontmodel.randomization;

import logrus.ontmodel.QuadsList;

public interface IDataRandomizer
{
	/**
	 * Randomly change some statements in <code>input</code>
	 * 
	 * @param input
	 *           Inital list of statements
	 * @param providerID
	 *           Identifier of data provider from which <code>input</code> has been collected
	 */
	public void randomize (QuadsList input, String providerID);
}
