package logrus.ontmodel.validation;

/**
 * Holdes ontological object validation codes
 *
 */
public interface ValidationStatus
{
	// unknown validation status
	public static final int Unknown = 0;
	
	// object information is complete
	public static final int Complete = 1;
	
	// object information is incomplete (lacking some required properties)
	public static final int Incomplete = 2;
	
	// object incorrect (lacking some essential properties like name or address) 
	public static final int Incorrect = 3;	
}
