package tests;

import junit.framework.TestCase;
import logrus.agents.datasources.WebpageParseException;
import logrus.agents.datasources.LinkInfo;
import logrus.agents.datasources.ILinkExtactor;
import logrus.agents.datasources.chefmoz.ChefMozPageTypes;
import logrus.agents.datasources.chefmoz.ChefMozLinkExtactor;

public class ChefmozRestaurantLinkExtactorTest extends TestCase
{

	/*
	 * Test method for 'logrus.agents.datasources.chefmoz.ChefMozLinkExtactor.getLinks()'
	 */
	public void testGetLinks ()
	{
		try
		{
			/*
			 * try { ChefMozPropertiesExtractor pe = new ChefMozPropertiesExtractor(); pe
			 * .extract("http://chefmoz.org/Poland/PD/%C5%81om%C5%BCa/D%27_Angelo%2C_Pizzeria1043800296.html"); }
			 * catch (IdentifierGenerationFailedException e) { fail(e.toString()); } catch
			 * (SAXException e) { fail(e.toString()); } catch (IOException e) { fail(e.toString()); }
			 * catch (UnexpectedHTMLStructureException e) { fail(e.toString()); }
			 */
			/*
			 * LinkInfo[] maz = new LinkInfo[1]; maz[0] = new LinkInfo
			 * ("http://chefmoz.org/Poland/MA/",ChefMozPageTypes.ProvincePage);
			 */
			LinkInfo[] maz = new LinkInfo[1];
			/*
			 * maz[0] = new
			 * LinkInfo("http://chefmoz.org/Poland/MA/Ciechan%C3%B3w/",ChefMozPageTypes.CityPage);
			 * ChefMozLinkExtactor extr = new ChefMozLinkExtactor(maz); extr.getRestaurantLinks();
			 */
			maz[0] = new LinkInfo("http://chefmoz.org/Poland/LD/Pabianice/",
					ChefMozPageTypes.CityPage);
			ILinkExtactor extr = new ChefMozLinkExtactor(maz);
			extr.extractRestaurantLinks();
			System.out.println("DONE EXTRACTING RESTAURANT INFO");
			/*
			 * String[] restaurants = extr.extractRestaurantLinks(); for (int i = 0; i <
			 * restaurants.length; i++) { System.out.println(restaurants[i]); }
			 */
		}
		catch (WebpageParseException e)
		{
			fail(e.toString());
		}
	}
}
