package logrus.agents;

public class Timeouts
{
	public static int MAX_TIMEOUT = Integer.MAX_VALUE;

	public int DBA_Boot_Timeout;

	public int IA_Boot_Timeout;

	public int DSA_Boot_Timeout;

	public int SCA_Boot_Timeout;
	
	public int MA_Boot_Timeout;

	// singleton instance
	private static Timeouts instance;

	private Timeouts ()
	{
		super();
		this.DBA_Boot_Timeout = Timeouts.MAX_TIMEOUT;
		this.IA_Boot_Timeout = Timeouts.MAX_TIMEOUT;
		this.DSA_Boot_Timeout = Timeouts.MAX_TIMEOUT;
		this.SCA_Boot_Timeout = Timeouts.MAX_TIMEOUT;
		this.MA_Boot_Timeout = Timeouts.MAX_TIMEOUT;
	}

	public static Timeouts getInstance ()
	{
		if (Timeouts.instance == null)
		{
			Timeouts.instance = new Timeouts();
		}
		return Timeouts.instance;
	}
}
