package logrus.agents.base;

import jade.core.Agent;
import jade.core.behaviours.DataStore;
import jade.lang.acl.ACLMessage;
import jade.proto.SubscriptionInitiator;

/**
 */
public final class SubscriptionInitiatorEx extends SubscriptionInitiator
{
	SubscriptionNotificationHandler handler;
	
	/**
	 * @param a
	 * @param msg
	 */
	public SubscriptionInitiatorEx 
		(SubscriptionNotificationHandler handler, Agent a, ACLMessage msg)
	{
		super(a,msg);
		this.handler=handler;
	}

	/**
	 * @param a
	 * @param msg
	 * @param store
	 */
	public SubscriptionInitiatorEx 
		(SubscriptionNotificationHandler handler, Agent a, ACLMessage msg, DataStore store)
	{
		super(a,msg,store);
		this.handler=handler;
	}
	
	protected void handleInform(ACLMessage inform) 
	{
		this.handler.handleNotification(inform);
	}
}
