package logrus.agents.base.behaviours;

import jade.core.Agent;
import jade.core.behaviours.Behaviour;
import logrus.agents.OntoStorageAgent;

/**
 * 
 */
public abstract class OSBehaviour extends Behaviour implements IOSBehaviour
{
	protected OntoStorageAgent osAgent;
	
	/**
	 * @param a
	 */
	public OSBehaviour (Agent a)
	{
		super(a);
		this.osAgent = (OntoStorageAgent)a;
	}

	/* (non-Javadoc)
	 * @see logrus.agents.base.behaviours.IOSBehaviour#getOSAgent()
	 */
	public OntoStorageAgent getOSAgent ()
	{
		return this.osAgent;
	}

}
