package logrus.agents.base.behaviours;

import jade.core.Agent;
import jade.core.behaviours.SequentialBehaviour;
import logrus.agents.OntoStorageAgent;

/**
 * 
 */
public class OSSequentialBehaviour extends SequentialBehaviour implements IOSBehaviour
{
	// OntoStorage agent remembered, just to avoid non-stop casting
	protected OntoStorageAgent osAgent;
	
	/**
	 * @param a
	 */
	public OSSequentialBehaviour (Agent a)
	{
		super(a);
		this.osAgent = (OntoStorageAgent)a;
	}
	
	public OntoStorageAgent getOSAgent ()
	{
		return this.osAgent;
	}
}
