package logrus.agents.datasources;

import jade.core.Agent;
import logrus.agents.base.behaviours.OSOneShotBehaviour;

/**
 */
public abstract class AbsGetRestaurantPropertiesBehaviour extends OSOneShotBehaviour
{
	// name of the restaurant
	protected String resName;
	
	/**
	 *  
	 */
	public AbsGetRestaurantPropertiesBehaviour (Agent a, String resName)
	{
		super(a);
		this.resName = resName;
	}

	/**
	 * @param resName The resName to set.
	 */
	public void setResName (String resName)
	{
		this.resName = resName;
	}

	/**
	 * @return Returns the resName.
	 */
	public String getResName ()
	{
		return this.resName;
	}
}
