package logrus.agents.datasources.chefmoz.paragraphProcessors;

import logrus.ontmodel.Prefixes;
import logrus.ontmodel.QuadsList;

/**
 * Parses resrvations paragraph
 */
public class ReservationsParagraphProcessor extends ParagraphProcessor
{

	public ReservationsParagraphProcessor ()
	{
		super();
		this.base = Prefixes.BaseRestaurantURI;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.agents.datasources.chefmoz.paragraphProcessors.ParagraphProcessor#process(java.lang.String,
	 *      logrus.agents.datasources.QuadsList, java.lang.String)
	 */
	public void process (String content, QuadsList results,
			String uriRestaurant)
	{
		this.standardProcess(content,results,uriRestaurant,
				Prefixes.RES_RESERV,"Reservations",null);
	}

	protected String additionalProcessing (String content)
	{
		return content;
	}
}
