package logrus.ontmodel;

public interface IObjectInfoComparer
{
	/**
	 * Check if lists of quads <code>info1</code> i <code>info2</code> represent the same object.
	 * This method assumes that both quads lists have been preaviously cleaned and validated.
	 * 
	 * @param info1
	 * @param info2
	 * @return True if <code>info1</code> i <code>info2</code> represent the same object,
	 *         otherwise returns false
	 */
	public boolean isRepresentingSame (QuadsList info1, QuadsList info2);
}
