/**
 * 
 */
package logrus.ontmodel.exceptions;

/**
 * Thrown when resource has not been found in a model
 */
public class ResourceNotFoundException extends OntException
{

	/**
	 * 
	 */
	public ResourceNotFoundException()
	{
		super();
	}

	/**
	 * @param arg0
	 */
	public ResourceNotFoundException(String arg0)
	{
		super("Resource " + arg0 + " not found in a model");
	}

	/**
	 * @param arg0
	 */
	public ResourceNotFoundException(Throwable arg0)
	{
		super(arg0);
	}

	/**
	 * @param arg0
	 * @param arg1
	 */
	public ResourceNotFoundException(String arg0, Throwable arg1)
	{
		super("Resource " + arg0 + " not found in a model",arg1);
	}
}
