package logrus.tools.logging;

import java.util.Date;
import java.util.logging.Level;


/**
 * Represents single log entry
 */
public class LogEntry
{
	private Date date;
	
	private String milis;
	
	private String sequence;
	
	private String logger;
	
	private Level level;
	
	private String className;
	
	private String method;
	
	private String thread;
	
	private String message;
	
	/**
	 *  
	 */
	public LogEntry ()
	{
		super();
	}

	/**
	 * @param className The className to set.
	 */
	public void setClassName (String className)
	{
		this.className = className;
	}

	/**
	 * @return Returns the className.
	 */
	public String getClassName ()
	{
		return this.className;
	}

	/**
	 * @param date The date to set.
	 */
	public void setDate (Date date)
	{
		this.date = date;
	}

	/**
	 * @return Returns the date.
	 */
	public Date getDate ()
	{
		return this.date;
	}

	/**
	 * @param level The level to set.
	 */
	public void setLevel (Level level)
	{
		this.level = level;
	}

	/**
	 * @return Returns the level.
	 */
	public Level getLevel ()
	{
		return this.level;
	}

	/**
	 * @param logger The logger to set.
	 */
	public void setLogger (String logger)
	{
		this.logger = logger;
	}

	/**
	 * @return Returns the logger.
	 */
	public String getLogger ()
	{
		return this.logger;
	}

	/**
	 * @param message The message to set.
	 */
	public void setMessage (String message)
	{
		this.message = message;
	}

	/**
	 * @return Returns the message.
	 */
	public String getMessage ()
	{
		return this.message;
	}

	/**
	 * @param method The method to set.
	 */
	public void setMethod (String method)
	{
		this.method = method;
	}

	/**
	 * @return Returns the method.
	 */
	public String getMethod ()
	{
		return this.method;
	}

	/**
	 * @param milis The milis to set.
	 */
	public void setMilis (String milis)
	{
		this.milis = milis;
	}

	/**
	 * @return Returns the milis.
	 */
	public String getMilis ()
	{
		return this.milis;
	}

	/**
	 * @param sequence The sequence to set.
	 */
	public void setSequence (String sequence)
	{
		this.sequence = sequence;
	}

	/**
	 * @return Returns the sequence.
	 */
	public String getSequence ()
	{
		return this.sequence;
	}

	/**
	 * @param thread The thread to set.
	 */
	public void setThread (String thread)
	{
		this.thread = thread;
	}

	/**
	 * @return Returns the thread.
	 */
	public String getThread ()
	{
		return this.thread;
	}

}
