package logrus.tools.logging;

import java.io.IOException;

import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;


/**
 * Parser for logfiles written in XML
 */
public class LogfileParser
{
	private String filename;
	private XMLReader reader;
	
	/**
	 * @param filename Logfile name
	 * @throws SAXException
	 * @throws IOException
	 */
	public LogfileParser (String filename) throws IOException, SAXException
	{
		super();
		this.reader = XMLReaderFactory.createXMLReader();
		this.reader.parse("file:///"+filename);
	}
}
