/**
 * 
 */
package logrus.tools.queue;

import java.util.Iterator;

/**
 * 
 */
public class QueueIterator implements Iterator
{
	// current node in queue
	QueueNode current = null;

	/**
	 * 
	 */
	public QueueIterator (Queue queue)
	{
		super();
		this.current = queue.getHead();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.util.Iterator#hasNext()
	 */
	public boolean hasNext ()
	{
		return this.current != null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.util.Iterator#next()
	 */
	public Object next ()
	{
		if (this.current != null)
		{
			QueueNode thisNode = this.current;
			this.current = this.current.getNext();
			return thisNode.getKey();
		}
		else
		{
			throw new IndexOutOfBoundsException();
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.util.Iterator#remove()
	 */
	public void remove ()
	{
		throw new UnsupportedOperationException();
	}
}
