package tests;

import junit.framework.TestCase;
import logrus.agents.datasources.WebpageParseException;
import logrus.agents.datasources.LinkInfo;
import logrus.agents.datasources.restauracjecom.RestComLinkExtractor;
import logrus.agents.datasources.restauracjecom.RestComPageTypes;

public class RestComLinkExtractorTest extends TestCase
{
	/*
	 * Test method for
	 * 'logrus.agents.datasources.restauracjecom.RestComLinkExtractor.parseListPage(LinkInfo)'
	 */
	public void testParseListPage ()
	{
		LinkInfo info = new LinkInfo(
				"http://www.restauracje.com/search.php3?&F_miasto=Kielce",
				RestComPageTypes.ListPage);
		LinkInfo[] iarr = new LinkInfo[1];
		iarr[0] = info;
		RestComLinkExtractor extr = new RestComLinkExtractor(iarr);
		try
		{
			String[] links = extr.extractRestaurantLinks();
			System.out.println("Number of extracted links " + links.length);
			// extr.parseListPage(info);
		}
		catch (WebpageParseException e)
		{
			fail(e.toString());
		}
	}
}
